/*============================================================================*/
/*                        L a b W i n d o w s / C V I                         */
/*----------------------------------------------------------------------------*/
/*    Copyright (c) National Instruments 1987-1996.  All Rights Reserved.     */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Title:       animate.h                                                     */
/* Purpose:     implements animation controls                                 */
/*                                                                            */
/*============================================================================*/

#ifndef ANIMATE_CTRL_HEADER
#define ANIMATE_CTRL_HEADER

#include <cvidef.h>

#ifdef __cplusplus
    extern "C" {
#endif


#define ATTR_ANIMATE_FRAME_INTERVAL         2000
#define ATTR_ANIMATE_STOP_ON_LAST_FRAME     2001
#define ATTR_ANIMATE_STOP_AT_PATH_END       2002
#define ATTR_ANIMATE_PATH                   2003
#define ATTR_ANIMATE_CURRENT_FRAME          2004
#define ATTR_ANIMATE_NUM_FRAMES             2005
#define ATTR_ANIMATE_ENABLED                2006
#define ATTR_ANIMATE_PATH_TEXT_LENGTH       2007


    /*  This event is sent to the animation control's callback before a frame is
        advanced.  eventData1 == index of the currentFrame, eventData2 ==  index of the newFrame.
        Return non-zero from the callback to prevent the animation control from advancing.
    */
#define EVENT_ANIMATE_PRE_FRAME             3000


    /*  This event is sent to the animation control's callback after advancing to the
        next frame in the sequence.  eventData1 == index of the oldFrame, eventData2 ==
        index of the newFrame.
    */
#define EVENT_ANIMATE_POST_FRAME            3001


int CVIFUNC AnimateCtrl_Create(int panel, char *label, int top, int left);
int CVIFUNC AnimateCtrl_ConvertFromPictRing(int panel, int pictRingCtrl);
int CVIFUNC_C AnimateCtrl_SetAttribute(int panel, int animateCtrl, int attribute, ...);
int CVIFUNC AnimateCtrl_GetAttribute(int panel, int animateCtrl, int attribute, void *value);

#ifdef __cplusplus
    }
#endif

#endif /* ANIMATE_CTRL_HEADER */
